Bug 1678619 (gnu-config)

Summary: Review Request: config - The GNU config.guess and config.sub scripts
Product: [Fedora] Fedora Reporter: Dridi Boukelmoune <dridi.boukelmoune>
Component: Package ReviewAssignee: Neal Gompa <ngompa13>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: ngompa13, package-review, ppisar, sergio
Target Milestone: ---Flags: ngompa13: fedora-review?
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-05-05 21:32:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Dridi Boukelmoune 2019-02-19 08:53:42 UTC
Spec URL: https://dridi.fedorapeople.org/review/config.spec
SRPM URL: https://dridi.fedorapeople.org/review/config-20190120-1.fc29.src.rpm
Description:
This package installs an up-to-date version of config.guess and config.sub,
used by the automake and libtool packages. It provides the canonical copy
of those files for other packages as well.

Fedora Account System Username: dridi

This is a missing dependency of debhelper that I have been using locally for a month or so to build debs locally for autotools-based projects.

Comment 1 Dridi Boukelmoune 2019-02-19 08:55:45 UTC
Scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=32902041

I'm using it on f29.

Comment 2 Neal Gompa 2019-02-19 11:52:48 UTC
Taking this review.

Comment 3 Neal Gompa 2019-02-19 11:53:50 UTC
Is this package actually needed? redhat-rpm-config provides our config.guess and config.sub files, you could just have it install a symlink for those files to be available in that location, if debhelper really needs it there?

Comment 4 Sergio Basto 2019-10-27 04:02:15 UTC
(In reply to Dridi Boukelmoune from comment #0)
> This is a missing dependency of debhelper that I have been using locally for
> a month or so to build debs locally for autotools-based projects.

we need strip-nondeterminism for debhelper and to build with debhelper now we need add [1] to control file , but I don't see for what we need this, some example is great appreciated .
Anyway IMHO package should have the same of Debian package, i.e. autotools-dev

Thanks,

[1] 
override_dh_strip_nondeterminism:

Comment 5 Dridi Boukelmoune 2020-05-05 21:32:15 UTC
As suggested by Neal, one could instead make the redhat-rpm-config symlink those files where dpkg tooling is expecting them. I think it was needed by dpkg's support for autotools-based projects but I unfortunately no longer have the bandwidth to work on this.